Name:          myfaces-master
Version:       10
Release:       %mkrel 1
Summary:       Parent pom file for Apache MyFaces projects
License:       ASL 2.0
Group:         Development/Java
URL:           http://myfaces.apache.org/
# http://svn.apache.org/repos/asf/myfaces/myfaces-master-pom/tags/myfaces-10/pom.xml
Source0:       myfaces-10-pom.xml

BuildRequires: jpackage-utils

Requires:      apache-commons-logging
Requires:      findbugs-maven-plugin
Requires:      jdepend-maven-plugin
Requires:      maven-assembly-plugin
Requires:      maven-checkstyle-plugin
Requires:      maven-compiler-plugin
Requires:      maven-jar-plugin
Requires:      maven-javadoc-plugin
Requires:      maven-pmd-plugin
Requires:      maven-project-info-reports-plugin
Requires:      maven-release-plugin
Requires:      maven-site-plugin
Requires:      maven-source-plugin
Requires:      maven-surefire-plugin
Requires:      maven-surefire-report-plugin

# org.apache.myfaces.buildtools checkstyle-rules 2

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The MyFaces project is home of the first free open source JavaServer Faces
implementation as well as some useful JSF component libraries and other
convenient JSF stuff.

This package contains the master pom file for myfaces projects.

%prep

%build

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE0} %{buildroot}%{_mavenpomdir}/JPP-myfaces.pom
%add_maven_depmap JPP-myfaces.pom
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/myfaces

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*



%changelog

* Tue Oct 18 2011 gil <gil> 10-1.mga2
+ Revision: 156369
- imported package myfaces-master


* Mon Aug 29 2011 Andy Grimm <agrimm@gmail.com> 2-1
- Initial Build
